%def_with pic
%def_disable rpath
%def_enable shared
%def_enable static
%def_enable largefile
%def_enable nls
%def_enable OSC
%def_enable jack
%def_enable jack_transport
%def_disable vjack
%def_enable sdl
%def_enable mjpegtools
%def_enable libvisual
%def_enable liboil
%def_enable frei0r
%def_enable ldvgrab
#----------------------------------------------------------------------
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}

%define Name LiVES
Name: lives
Version: 0.9.8.12
Release: alt3
Summary: The Linux Video Editing System
Summary(uk_UA.CP1251):     Linux
Summary(ru_RU.CP1251):     Linux
License: %gpl3plus
Group: Video
URL: http://%name.sourceforge.net/
Source: %name-%version.tar
#Source: http://www.xs4all.nl/~salsaman/%name/current/%Name-0.9.8.9.tar.bz2
Patch0: %name-0.9.8.6-configure.patch
Patch1: %name-0.9.8.9-fhs+link.patch
Provides: %Name = %version-%release
Requires: ImageMagick >= 5.4
Requires: mplayer >= 0.90-alt18
Requires: perl-base >= 5
Requires: mjpegtools >= 1.6.2
Requires: sox xmms cdda2wav ogmtools mkvtoolnix lame
Requires: transcode ffmpeg mencoder x264 vorbis-tools dirac-utils

# Automatically added by buildreq on Wed Feb 06 2008 (-bi)
#BuildRequires: cvs frei0r-devel gcc-c++ glibc-devel-static jackit-devel libSDL-devel libavc1394-devel libgtk+2-devel libmjpegtools-devel liboil-devel python-module-pygobject

BuildRequires: cvs gcc-c++ imake menu-icons-default ImageMagick
BuildRequires: libgtk+2-devel >= 2.8.0
BuildRequires: rpm-build-licenses
%{?_enable_static:BuildRequires: glibc-devel-static}
%{?_enable_sdl:BuildRequires: libSDL-devel >= 0.11.0}
%{?_enable_jack:BuildRequires: jackit-devel >= 0.100}
%{?_enable_mjpegtools:BuildRequires: libmjpegtools-devel >= 1.6.2}
%{?_enable_liboil:BuildRequires: liboil-devel >= 0.3.10}
%{?_enable_libvisual:BuildRequires: libvisual0.4-devel}
%{?_enable_frei0r:BuildRequires: frei0r-devel}
%{?_enable_ldvgrab:BuildRequires: libavc1394-devel}

%description
%Name (the Linux Video Editing System) is intended to be a simple yet
powerful video effects and editing system. It will use commonly
available tools like mplayer, ImageMagick, and GTK+, and in the future
possibly gstreamer or xine. It is currently usable for small video files.

%description -l ru_RU.CP1251
%Name (the Linux Video Editing System)    ,
     - . 
 Gtk+,       
,  MPlayer/mencoder  ImageMagick ( , ,
gstreamer  Xine).      %Name
    .


%prep
%setup
%patch0 -p1
%patch1 -p1
subst 's|"/usr/local/"|"$home/"|g;s|/share/|/lib/|g' smogrify
subst '/^\$default_tmpdir=/ s|=.*$|="$home/tmp/lives";|' smogrify


%build
%define _optlevel 3
%autoreconf
%configure \
    %{subst_with pic} \
    %{subst_enable rpath} \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_enable largefile} \
    %{subst_enable nls} \
    %{subst_enable OSC} \
    %{subst_enable jack} \
    %{subst_enable_to jack_transport jack-transport} \
    %{subst_enable vjack} \
    %{subst_enable sdl} \
    --disable-sdltest \
    --with-sdl-prefix=%prefix \
    --with-sdl-exec-prefix=%prefix \
    %{subst_enable mjpegtools} \
    %{subst_enable libvisual} \
    %{subst_enable liboil} \
    %{subst_enable frei0r} \
    %{subst_enable ldvgrab}

%make

mkdir -p %name-plugins/plugins/effects/rendered
for f in %name-plugins/plugins/effects/RFXscripts/*.script; do
    ./build-lives-rfx-plugin "$f" %name-plugins/plugins/effects/rendered
done

for s in 16 22 24 32 36 48; do
    convert -resize ${s}x$s -depth 8 menu-entries/%name{.xpm,-$s.png}
done

bzip2 --force --keep --best ChangeLog
chmod 644 weed-docs/*
mv %name-plugins/icons/README{,.icons}

iconv -f cp1251 -t utf-8 > %name.desktop <<__MENU__
[Desktop Entry]
Version=1.0
Name=%Name
Comment=The Linux Video Editing System
Comment[uk]=    Linux
Comment[ru]=    Linux
Exec=%name
Icon=%name
Terminal=false
Type=Application
Categories=GTK;AudioVideo;Video;AudioVideoEditing;
__MENU__


%install
install -d -m 0755 %buildroot{%_pixmapsdir,%_desktopdir,%_libexecdir/%name/plugins/effects/realtime/weed}
%make_install DESTDIR=%buildroot install
rmdir %buildroot%_libexecdir/%name/plugins/effects/rendered
mv %buildroot{%_datadir,%_libexecdir}/%name/plugins/effects/rendered
mv %buildroot{%_datadir/%name/plugins/effects/realtime/weed/*,%_libexecdir/%name/plugins/effects/realtime/weed/}
mv -f %buildroot%_bindir/%name{-exe,}

ln -sf %name %buildroot%_bindir/%Name
for s in 16 22 24 32 36 48; do
    install -D -m 644 {menu-entries/%name-$s,%buildroot%_iconsdir/hicolor/${s}x$s/apps/%name}.png
done

install -m 0644 %name.desktop %buildroot%_desktopdir/

%find_lang %name

%set_python_req_method normal


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS BUGS ChangeLog.* FEATURES GETTING.STARTED README
%doc OMC/*.txt docs/*.txt weed-docs/*.txt RFX/README* RFX/*.sxw
%doc %name-plugins/icons/README.icons
%doc %name-plugins/marcos-encoders/README.multi_encoder
%_bindir/*
%_desktopdir/%name.desktop
%dir %_datadir/%name
%dir %_datadir/%name/icons
%_datadir/%name/icons/*
%_iconsdir/hicolor/*/apps/*
%dir %_datadir/%name/themes
%_datadir/%name/themes/*
%_datadir/%name/default.keymap
%dir %_datadir/%name/plugins
%dir %_datadir/%name/plugins/effects
%dir %_datadir/%name/plugins/effects/RFXscripts
%_datadir/%name/plugins/effects/RFXscripts/*
%dir %_libexecdir/%name
%dir %_libexecdir/%name/plugins
%dir %_libexecdir/%name/plugins/effects
%dir %_libexecdir/%name/plugins/effects/realtime
%dir %_libexecdir/%name/plugins/effects/realtime/weed
%_libexecdir/%name/plugins/effects/realtime/weed/*
%dir %_libexecdir/%name/plugins/effects/rendered
%_libexecdir/%name/plugins/effects/rendered/*
%dir %_libexecdir/%name/plugins/encoders
%_libexecdir/%name/plugins/encoders/*
%dir %_libexecdir/%name/plugins/playback
%dir %_libexecdir/%name/plugins/playback/video
%_libexecdir/%name/plugins/playback/video/*


%changelog
* Wed Aug 13 2008 Led <led@altlinux.ru> 0.9.8.12-alt3
- fixed %name.desktop

* Mon Aug 11 2008 Led <led@altlinux.ru> 0.9.8.12-alt2
- fixed %name.desktop

* Sun May 18 2008 Led <led@altlinux.ru> 0.9.8.12-alt1
- 0.9.8.12

* Thu Apr 03 2008 Led <led@altlinux.ru> 0.9.8.10-alt1
- 0.9.8.10

* Sat Mar 15 2008 Led <led@altlinux.ru> 0.9.8.9-alt1
- 0.9.8.9
- removed:
  + %name-0.9.8.4-fhs.patch
  + %name-0.9.8.4-link.patch
- added %name-0.9.8.9-fhs+link.patch  
- added icons
- fixed %name.desktop

* Wed Feb 06 2008 Led <led@altlinux.ru> 0.9.8.7-alt1
- 0.9.8.7
- cleaned up spec

* Fri Sep 21 2007 Led <led@altlinux.ru> 0.9.8.6-alt0.1
- 0.9.8.6
- updated %name-0.9.8.6-configure.patch

* Mon Jun 04 2007 Led <led@altlinux.ru> 0.9.8.4-alt0.5
- fixed frei0r plugins dir

* Wed May 30 2007 Led <led@altlinux.ru> 0.9.8.4-alt0.4
- enabled frei0r
- fixed BuildRequires

* Tue May 29 2007 Led <led@altlinux.ru> 0.9.8.4-alt0.3
- updated %name-0.9.8.4-fhs.patch
- updated Requires

* Tue May 29 2007 Led <led@altlinux.ru> 0.9.8.4-alt0.2
- updated %name-0.9.8.4-fhs.patch
- %Name->%name softlink
- fixed %%files
- build rendered plugins

* Tue May 29 2007 Led <led@altlinux.ru> 0.9.8.4-alt0.1
- 0.9.8.4
- remade spec
- added %name-0.9.8.4-configure.patch
- added %name-0.9.8.4-fhs.patch
- added %name-0.9.8.4-link.patch

* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt0.6pre1
-  0.9.1pre1.

* Fri Apr 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.6pre1
- plugins moved to %%_libdir/lives (ZerG).
- requires ffmpeg.

* Fri Apr 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.5pre1
- 0.9.0pre1.

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt0.5
- 0.8.5

* Thu Dec 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt0.5
- 0.8.1

* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.5-alt0.5
- new version.

* Thu Jun 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.5-alt0.5
- 0.6.5
- summary, description by avp

* Sat Jun 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5
- new version

* Sat May 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.5-alt0.5
- Adopted for Sisyphus.

* Thu May 30 2003 G. Finch <salsaman@xs4all.nl>
- Version 0.5.5

